exports.OUTOFSTOCK = {
	classname : 'Items',
	where : {
		UserID : {
			'$ne' : 'x'
		}
	}
};

exports.INSTOCK = {
	classname : 'Items',
	where : {
		UserID : 'x'
	}
};

var Cloud = require('ti.cloud');

exports.getReturnCartView = function() {
	var view = Ti.UI.createView({
	bottom: 0,
	left:0,
	height:'50%',
	width:'60%',
	backgroundColor:'black'
	});

	var tableView = Ti.UI.createTableView({
		top : '10%',
		height : '90%',
		width : '100%',
		backgroundColor : 'white'
	});

	view.add(tableView);
	view.tableView = tableView;

	var titleButton = Ti.UI.createButton({
		top : 0,
		height : '10%',
		width : '100%',
		title : 'Return Cart'
	});

	view.add(titleButton);

	return view;
};

exports.getItemViewFromQuery = function(query, title) {
	var view = Ti.UI.createView({
		top : 0,
		height : '50%',
		width : '100%',
		backgroundColor : 'black'
	});

	var tableView = Ti.UI.createTableView({
		top : '10%',
		height : '90%',
		width : '100%',
		backgroundColor : 'white'
	});

	view.add(tableView);
	view.tableView = tableView;

	var titleButton = Ti.UI.createButton({
		top : 0,
		height : '10%',
		width : '100%',
		title : title
	});

	view.add(titleButton);

	Cloud.Objects.query(query, function(e) {
		if (!e.success) {
			alert('ACS Query Failed...');
			return;
		}

		var db = e[query.classname];

		for (var i in db) {
			var item = db[i];

			var row = Ti.UI.createTableViewRow(item);

			var padding = ' - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - ';

			row.title = '';
			row.title += item.Manufacturer + padding;
			row.title += item.Model + padding;
			row.title += item.OS + padding;
			row.title += item.OSVersion + padding;

			row.hasCheck = true;

			tableView.appendRow(row);
		}
	});

	return view;
}; 