var itemview = require('itemview');

function getTransactionWindow(backgroundColor)
{
	var transactionWindow = Ti.UI.createWindow({
		backgroundColor : backgroundColor
	});
	
	var exitButton = Ti.UI.createButton({
		title : 'X',
		bottom : 0,
		right : 0,
		width : '5%',
		height : '10%'
	});
	
	exitButton.addEventListener('click', function(){
		transactionWindow.close();
	});
	
	transactionWindow.add(exitButton);
	
	return transactionWindow;
}

exports.getCheckoutWindow = function(backgroundColor) {
	var transactionWindow = getTransactionWindow(backgroundColor);
	
	var checkoutView = itemview.getItemViewFromQuery(itemview.INSTOCK, 'Items to Checkout');
	var shoppingCartView = itemview.getReturnCartView();
	
	transactionWindow.add(checkoutView);
	transactionWindow.add(shoppingCartView);
	
	checkoutView.addEventListener('click', function(e){
		checkoutView.tableView.deleteRow(e.index);
		shoppingCartView.tableView.appendRow(e.row);
	});
	
	return transactionWindow;
}

exports.getReturnWindow = function(backgroundColor) {
	var transactionWindow = getTransactionWindow(backgroundColor);
	
	var returnView = itemview.getItemViewFromQuery(itemview.OUTOFSTOCK, 'Items to Return');
	var returnCartView = itemview.getReturnCartView();
	
	transactionWindow.add(returnView);
	transactionWindow.add(returnCartView);
	
	returnView.addEventListener('click', function(e){
		returnView.tableView.deleteRow(e.index); // Uncaught TypeError: Cannot read property 'section' of undefined 
		returnCartView.tableView.appendRow(e.row);
	});
	
	returnCartView.addEventListener('click', function(e){
		alert(e.row.HardwareType);
	});
	
	return transactionWindow;
}









