// checkout/return tab group

var utils = require('utils');

function createTabGroupObject() {
	var tabGroupObject = {};

	tabGroupObject.window = Ti.UI.createWindow();
	tabGroupObject.tabGroup = Ti.UI.createTabGroup();
	tabGroupObject.window.add(tabGroupObject.tabGroup);

	tabGroupObject.addTabFromString = function(string) {
		var color = utils.getRandomColor();

		var tabWindow = Ti.UI.createWindow({
			backgroundColor : color,
			title : string,
			barColor: color,
			navBarHidden : true
		});

		var tab = Ti.UI.createTab({
			window : tabWindow,
			title : string,
			borderWidth : 1,
			borderColor : 'black',
			backgroundColor : color
		});

		tabGroupObject.tabGroup.addTab(tab);
		tabGroupObject['tab' + string] = tab;
	};

	tabGroupObject.open = function() {
		tabGroupObject.window.open();
	};

	return tabGroupObject;
}

var tabGroupObject = createTabGroupObject();

tabGroupObject.addTabFromString('Checkout');
tabGroupObject.addTabFromString('Return');

tabGroupObject.open();
